Supported Operating Systems

View the supported operating systems

Replicated supports Linux-based servers that can run current versions of Docker.

Your machine must support docker-engine 1.13.1 - 18.09.2-ce (with 18.09.2-ce being the recommended version). This also requires a 64-bit distribution with a kernel minimum of 3.10.

Replicated provides an easy install script for Swarm that works with the following list of operating systems:

  • Debian 7.7+
  • Ubuntu 14.04.5 / 16.04 / 18.04
  • Red Hat Enterprise Linux 7+
  • CentOS 7+
  • Oracle Linux 7+

As new operating systems start to support Docker we extend our install script and QA process to include them. Operating systems that support Docker but are not yet included in the easy install script can still be used using the manual install instructions.

Swarm and RHEL 6.x / CentOS 6.x

Replicated on Swarm is unsupported on operating systems that depend on Linux 2.x series kernels, such as Red Hat Enterprise Linux 6.5 or CentOS 6.5. To use these operating systems, consider using the Replicated Scheduler, which has a wider range of Docker version and operating system support.